goalChangeTire.mSteps = 
{
	-- goalGatherCarMaterial must be finished before we start this goal
	-- as it makes sure we have found the spare tire, lugwrench and jackstand
	{ action = "click", object = objectIoLocationCarjack, selection = objectHoJackstand },
	{ action = "click", object = objectIoLocationCarjack },
	{ action = "click", object = objectHoPanel01 },
	{ action = "click", object = objectIoLocationPanel, selection = objectHoPanel01 },
	{ action = "click", object = objectIoLocationCarjack, selection = objectHoJackstand },
	{ action = "click", object = objectIoLocationCarjack },
	{ action = "click", object = objectIoLocationCarjack },
	{ action = "click", object = objectIoLocationCarjack },
	{ action = "click", object = objectIoLocationWheelOff, selection = objectHoLugwrench },
	{ action = "click", object = objectIoLocationWheelOn, selection = objectHoTire },
	{ action = "click", object = objectIoJarUp },
	{ action = "click", object = objectHoTrunkfloorNut1 },
	{ action = "click", object = objectHoTrunkfloorNut2 },
	{ action = "click", object = objectHoTrunkfloorNut3 },
	{ action = "click", object = objectHoTrunkfloorNut4 },
	{ action = "click", object = {objectIoLocationNuts1, objectIoLocationNuts2, objectIoLocationNuts3, objectIoLocationNuts4},
						selection = {objectHoTrunkfloorNut1, objectHoTrunkfloorNut2, objectHoTrunkfloorNut3, objectHoTrunkfloorNut4} },
	{ action = "click", object = objectIoLocationNuts1, selection = objectHoLugwrench },
	{ action = "click", object = objectIoLocationNuts2, selection = objectHoLugwrench },
	{ action = "click", object = objectIoLocationNuts3, selection = objectHoLugwrench },
	{ action = "click", object = objectIoLocationNuts4, selection = objectHoLugwrench },
}
-- ----------------------------------------------------------------------------
goalChangeTire.showFirstSpecialScare = false
-- ----------------------------------------------------------------------------
function goalChangeTire:shouldStart()

	return (objectHoTire:isFound() and objectHoLugwrench:isFound() and objectHoJackstand:isFound())

end
-- ----------------------------------------------------------------------------
function goalChangeTire:shouldFinish()

	return (layoutWoods1Tirechange:isSolved())

end
-- ----------------------------------------------------------------------------
function goalChangeTire:onFinished()

	-- Check for additional scare moments:
	if (not self.showFirstSpecialScare) then
		-- Tire is fixed, but radiator is not. Show first scare moment:
		if (layoutLakeside.showShadowScare == false) then
			layoutLakeside.showShadowScare = true
			layoutWoods1.showShadowScare = true
		end
		self.showFirstSpecialScare = true
		layoutWoods1Tirechange:hide()
	
	else
		-- Tire is fixed and radiator as well. Show second scare moment:
		self:showSecondSpecialScare()
	
	end

end
-- ----------------------------------------------------------------------------
function goalChangeTire:showSecondSpecialScare()

	layoutLakeside.showBlindingScare = true
	layoutWoods1Engine:hide()
	layoutWoods1Tirechange:hide()
	play(movieSettings[kMovieCarfix])

end
